var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var formatter_exports = {};
__export(formatter_exports, {
  dateFormatFn: () => dateFormatFn,
  formatFn: () => formatFn,
  formatter: () => formatter
});
module.exports = __toCommonJS(formatter_exports);
const dateFormatFn = (sequelize, dialect, field, format) => {
  switch (dialect) {
    case "sqlite":
      format = format.replace(/YYYY/g, "%Y").replace(/MM/g, "%m").replace(/DD/g, "%d").replace(/hh/g, "%H").replace(/mm/g, "%M").replace(/ss/g, "%S");
      return sequelize.fn("strftime", format, sequelize.col(field));
    case "mysql":
    case "mariadb":
      format = format.replace(/YYYY/g, "%Y").replace(/MM/g, "%m").replace(/DD/g, "%d").replace(/hh/g, "%H").replace(/mm/g, "%i").replace(/ss/g, "%S");
      return sequelize.fn("date_format", sequelize.col(field), format);
    case "postgres":
      format = format.replace(/hh/g, "HH24").replace(/mm/g, "MI").replace(/ss/g, "SS");
      return sequelize.fn("to_char", sequelize.col(field), format);
    default:
      return sequelize.col(field);
  }
};
const formatFn = (sequelize, dialect, field, format) => {
  switch (dialect) {
    case "sqlite":
    case "postgres":
      return sequelize.fn("format", format, sequelize.col(field));
    default:
      return field;
  }
};
const formatter = (sequelize, type, field, format) => {
  const dialect = sequelize.getDialect();
  switch (type) {
    case "date":
    case "datetime":
    case "time":
      return dateFormatFn(sequelize, dialect, field, format);
    default:
      return formatFn(sequelize, dialect, field, format);
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  dateFormatFn,
  formatFn,
  formatter
});
